> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Refunds for a Repudiation

Repudiations are refunded when a dispute is won.

### Query parameters

<ParamField query="Status" type="string">
  **Allowed values:** `CREATED`, `SUCCEEDED`, `FAILED`

  The status of the transaction. You can filter on multiple values by separating them with a comma.
</ParamField>

<ParamField query="ResultCode" type="string">
  The code indicating the result of the operation. You can filter on multiple values by separating them with a comma.
</ParamField>

### Path parameters

<ParamField path="RepudiationId" type="string" required>
  The unique identifier of the repudiation.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200">
    <ResponseField name="Array (Refunds)" type="array">
      The list of refunds created by the platform.

      <Expandable title="properties">
        <ResponseField name="Object (Refund)" type="object">
          The refund created by the platform.

          <Expandable title="properties">
            <ResponseField name="Id" type="string">
              Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details)

              The unique identifier of the object.
            </ResponseField>

            <ResponseField name="Tag" type="string">
              Max. length: 255 characters

              Custom data that you can add to this object.\
              For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
            </ResponseField>

            <ResponseField name="CreationDate" type="Unix timestamp">
              The date and time at which the object was created.
            </ResponseField>

            <ResponseField name="AuthorId" type="string">
              The unique identifier of the user at the source of the initial transaction.
            </ResponseField>

            <ResponseField name="CreditedUserId" type="string">
              **Default value:** The unique identifier of the owner of the credited wallet.

              The unique identifier of the user whose wallet is credited.
            </ResponseField>

            <ResponseField name="DebitedFunds" type="object">
              **Default value:** The amount and currency values of the debited funds of the initial transaction.

              Information about the debited funds. Debited funds:

              * Takes by default the amount and currency values of the initial transaction when left empty.
              * Must be entered manually to perform a partial refund.
              * Cannot exceed the initial transaction `CreditedFunds` value when entered manually. This also applies to the sum of debited funds when making multiple partial refunds.

              <Expandable title="properties">
                <ResponseField name="Amount" type="integer">
                  An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
                </ResponseField>

                <ResponseField name="Currency" type="string">
                  **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

                  The currency of the debited funds.
                </ResponseField>
              </Expandable>
            </ResponseField>

            <ResponseField name="Fees" type="object">
              **Default value:** The amount and currency values of the fees of the initial transaction.

              Information about the fees. This value:

              * Should be preceded by a minus sign (-) to refund the fees, otherwise more fees will be taken.
              * Takes by default the amount and currency values of the fees of the initial transaction when left empty (preceded by a -).
              * Cannot exceed the initial transaction fees amount when entered manually. This also applies to the sum of the amount of the fees when making multiple partial refunds.

              <Expandable title="properties">
                <ResponseField name="Amount" type="integer">
                  An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
                </ResponseField>

                <ResponseField name="Currency" type="string">
                  **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

                  The currency of the debited funds.
                </ResponseField>
              </Expandable>
            </ResponseField>

            <ResponseField name="Status" type="string">
              **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED`

              The status of the transaction.
            </ResponseField>

            <ResponseField name="ResultCode" type="string">
              The code indicating the result of the operation. This information is mostly used to <a href="/errors/codes">handle errors</a> or for filtering purposes.
            </ResponseField>

            <ResponseField name="ResultMessage" type="string">
              The explanation of the result code.
            </ResponseField>

            <ResponseField name="ExecutionDate" type="Unix timestamp">
              The date and time at which the status changed to `SUCCEEDED`, indicating that the transaction occurred. The statuses `CREATED` and `FAILED` return an `ExecutionDate` of `null`.
            </ResponseField>

            <ResponseField name="Type" type="string">
              **Returned values:** `PAYIN`, `TRANSFER`, `CONVERSION`, `PAYOUT`

              The type of the transaction.
            </ResponseField>

            <ResponseField name="Nature" type="string">
              **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT`

              The nature of the transaction, providing more information about the context in which the transaction occurred:

              * `REGULAR` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
              * `REPUDIATION` – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).
              * `REFUND` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
              * `SETTLEMENT` – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
            </ResponseField>

            <ResponseField name="DebitedWalletId" type="string">
              The unique identifier of the debited wallet.
            </ResponseField>

            <ResponseField name="CreditedWalletId" type="string">
              The unique identifier of the credited wallet.
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200 theme={null}
  [
      {
          "Id": "refund_m_01JJ22PR01NMY4M8HXB3AW6KG7",
          "Tag": null,
          "CreationDate": 1737367609,
          "AuthorId": "user_m_01JJ22Q2A0NXNK26B67BD1MP4R",
          "CreditedUserId": "your-mangopay-client-id",
          "DebitedFunds": {
              "Currency": "EUR",
              "Amount": 13000
          },
          "CreditedFunds": {
              "Currency": "EUR",
              "Amount": 13000
          },
          "Fees": {
              "Currency": "EUR",
              "Amount": 0
          },
          "Status": "SUCCEEDED",
          "ResultCode": "000000",
          "ResultMessage": "Success",
          "ExecutionDate": 1737367609,
          "Type": "PAYIN",
          "Nature": "REFUND",
          "InitialTransactionId": "repud_m_01JJ22HPJ8Y0E4YW7D9XR96WZY",
          "InitialTransactionType": "PAYOUT",
          "InitialTransactionNature": "REPUDIATION",
          "DebitedWalletId": null,
          "CreditedWalletId": "CREDIT_EUR"
      }
  ]  
  ```
</ResponseExample>

<RequestExample>
  ```json REST theme={null}
  // GET has no body parameters
  ```

  ```javascript NodeJS   theme={null}
  const mangopayInstance = require('mangopay4-nodejs-sdk')
  const mangopay = new mangopayInstance({
      clientId: 'your-client-id',
      clientApiKey: 'your-api-key',
  })

  let myRepudiation = {
    Id: '192775715',
  }

  const listRefunds = async (repudiationId) => {
    return await mangopay.Repudiations.getRefunds(repudiationId)
      .then((response) => {
        console.info(response)
        return response
      })
      .catch((err) => {
        console.log(err)
        return false
      })
  }

  listRefunds(myRepudiation.Id)  
  ```

  ```java Java theme={null}
  import com.google.gson.Gson;
  import com.google.gson.GsonBuilder;
  import com.mangopay.MangoPayApi;
  import com.mangopay.entities.Refund;
  import java.util.List;

  public class ListRepudiationRefunds {
      public static void main(String[] args) throws Exception {
          MangoPayApi mangopay = new MangoPayApi();
          mangopay.getConfig().setClientId("your-client-id");
          mangopay.getConfig().setClientPassword("your-api-key");

          var repudiationId = "repud_m_01J2KVEDBG9ABZZAWRXFHAJ97H";

          List<Refund> refunds = mangopay.getRepudiationApi().getRefunds(repudiationId);

          for (Refund refund : refunds) {
              Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
              String prettyJson = prettyPrint.toJson(refund);

              System.out.println(prettyJson);
          }
      }
  }
  ```

  ```python Python   theme={null}
  from pprint import pprint
  import mangopay

  mangopay.client_id='your-client-id'
  mangopay.apikey='your-api-key'

  from mangopay.api import APIRequest
  handler = APIRequest(sandbox=True)

  from mangopay.resources import Refund, Repudiation, NaturalUser

  natural_user = NaturalUser.get('213753890')

  natural_user_wallet_id = '215029593'

  my_repudition = Repudiation.get('215101203')

  payin_refund = Refund(
      id = my_repudition.id,
      author = natural_user
  )

  payin_refunds = Repudiation.get_refunds(self = payin_refund)

  for payin_refund in payin_refunds:
      pprint(vars(payin_refund))  
  ```

  ```csharp .NET  theme={null}
  using MangoPay.SDK;
  using MangoPay.SDK.Entities;
  using Newtonsoft.Json;

  class Program
  {
      static async Task Main(string[] args)
      {
          MangoPayApi api = new MangoPayApi();

          api.Config.ClientId = "your-client-id";
          api.Config.ClientPassword = "your-api-key";

          var repudiationId = "repud_m_01J2KVEDBG9ABZZAWRXFHAJ97H";

          var viewRepudiationRefunds = await api.Refunds.GetRefundsForRepudiationAsync(repudiationId, new Pagination(1, 100), null);

          string prettyPrint = JsonConvert.SerializeObject(viewRepudiationRefunds, Formatting.Indented);
          Console.WriteLine(prettyPrint);
      }
  }
  ```
</RequestExample>
